
%define		qtver	4.5.0

Summary:	qedje
Summary(pl.UTF-8):	qedje
Name:		qedje
Version:	0.4.0
Release:	0.git.5
License:	GPL v2
Group:		X11/Libraries
#Source0:	http://dev.openbossa.org/%{name}/downloads/source/%{name}/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}-git.tar.gz
# Source0-md5:	062a73e4ce76ae4513aa772504db572d
URL:		http://dev.openbossa.org/trac/qedje
Patch0:		%{name}-pc.patch
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	cmake
BuildRequires:	eet-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	qzion-devel >= 0.4.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	sip-PyQt4
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qedje

%description -l pl.UTF-8
qedje

%package devel
Summary:	Header files for qedje library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qedje
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for qedje library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qedje.

%prep
%setup -q -n %{name}-%{version}-git
%patch0 -p0

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qedje_viewer
%attr(755,root,root) %{_libdir}/libqedje.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqedje.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqedje.so
%{_includedir}/*.h
%{_pkgconfigdir}/qedje.pc
%changelog
* Fri Mar 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qedje.git;a=log;h=master

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 9c59d1a
- updated PyQt4 BR
- rel 5

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> 2035151
- add patch0
- rel .4

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> 5d88ac8
- fix .pc installation

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> ddf6daa
- rel .3

* Fri Dec 04 2009 sparky <sparky@pld-linux.org> 848dfbc
- BR: cmake, qt4-build

* Fri Aug 14 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 8fe560a
- adapterized

* Mon Aug 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b150a71
- cmake case sensitive var values

* Mon May 25 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> d4b5066
- added BR: python-PyQt4-devel

* Mon May 25 2009 shadzik <shadzik@pld-linux.org> 952fa54
- rel .2

* Mon May 11 2009 shadzik <shadzik@pld-linux.org> 7e2dff0
- obsolete

* Mon May 11 2009 shadzik <shadzik@pld-linux.org> d6a130c
- 0.4.0 git

* Fri Feb 06 2009 witekfl <witekfl@pld-linux.org> 512be63
- utf8

* Thu Nov 06 2008 shadzik <shadzik@pld-linux.org> 59bbc1e
- add patch0 to fix 64bit build
- rel 1

* Thu Nov 06 2008 shadzik <shadzik@pld-linux.org> 2c1e578
- fix 64bit build

* Sun Nov 02 2008 shadzik <shadzik@pld-linux.org> 707d8ab
- added BRs and Rs
- added -devel subpackages
- fixed build and packaged all files
- TODO: needs description

* Sun Nov 02 2008 shadzik <shadzik@pld-linux.org> cb248c0
- BR: -devels

* Sun Nov 02 2008 Robert Tomasik <rotom@pld-linux.org> 47fc9c3
- BR added

* Sun Nov 02 2008 Robert Tomasik <rotom@pld-linux.org> 11b8506
- initial (NFY)

